SoGeoLocation(3)

NAME
SoGeoLocation - The SoGeoLocation class is used to georeference the following nodes.

SYNOPSIS

#include <Inventor/nodes/SoGeoLocation.h>

Inherits SoTransformation.

  Public Member Functions
virtual SoType getTypeId (void) const
SoGeoLocation (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFVec3d geoCoords
SoMFString geoSystem

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoGeoLocation ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoGeoLocation class is used to georeference the following nodes. FILE FORMAT/DEFAULTS:

GeoLocation {
  geoSystem ["GD", "WE"]
  geoCoords 0 0 0
}

This node specifies an absolute geographic coordinate system for the following nodes. When rendering (or applying other actions), Coin will add a transformation which transforms the geometry into the SoGeoOrigin coordinate system. All objects will be rotated to make the local Z-axis point up from the ground (at the specified geo-location), the Y-axis will point towards the north pole, and the X-axis is found using the right hand rule.

See also
    SoGeoOrigin

Since
    Coin 2.5

Constructor & Destructor Documentation

  SoGeoLocation::SoGeoLocation (void)
Constructor.

  SoGeoLocation::~SoGeoLocation () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGeoLocation::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoGeoLocation::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformation.

  const SoFieldData ** SoGeoLocation::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoGeoLocation::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformation.

  void SoGeoLocation::initClass (void) [static]

  void SoGeoLocation::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoGeoLocation::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoGeoLocation::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoGeoLocation::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoGeoLocation::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoGeoLocation::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoGeoLocation::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoNode.

Member Data Documentation

  SoSFString SoGeoLocation::geoCoords
Used for specifying the geographic coordinates.

See also
    SoGeoOrigin::geoCoords

  SoMFString SoGeoLocation::geoSystem
Used to specify a spatial reference frame.

See also
    SoGeoOrigin::geoSystem

Author

Generated automatically by Doxygen for Coin from the source code.